Debian Bug report logs - #395857
libextutils-autoinstall-perl: FTBFS: test fails

version graph

Package: libextutils-autoinstall-perl; Maintainer for libextutils-autoinstall-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libextutils-autoinstall-perl is src:libextutils-autoinstall-perl.

Reported by: Julien Danjou <acid@debian.org>

Date: Sat, 28 Oct 2006 09:18:05 UTC

Severity: serious

Found in version libextutils-autoinstall-perl/0.61-1

Fixed in version libextutils-autoinstall-perl/0.61-1.1

Done: Steve McIntyre <93sam@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bastian Blank <waldi@debian.org>:
Bug#395857; Package libextutils-autoinstall-perl. Full text and rfc822 format available.

Acknowledgement sent to Julien Danjou <acid@debian.org>:
New Bug report received and forwarded. Copy sent to Bastian Blank <waldi@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Danjou <acid@debian.org>
To: submit@bugs.debian.org
Subject: libextutils-autoinstall-perl: FTBFS: test fails
Date: Sat, 28 Oct 2006 11:05:28 +0200
[Message part 1 (text/plain, inline)]
Package: libextutils-autoinstall-perl
Version: 0.61-1
Severity: serious

Hello,

There was a problem while autobuilding your package:

> Automatic build of libextutils-autoinstall-perl_0.61-1 on avidan by sbuild/i386 98
> Build started at 20061028-0010
> ******************************************************************************
> Checking available source versions...
> Fetching source files...
> Reading package lists...
> Building dependency tree...
> Need to get 28.5kB of source archives.
> Get:1 http://ftp.fr.debian.org sid/main libextutils-autoinstall-perl 0.61-1 (dsc) [687B]
> Get:2 http://ftp.fr.debian.org sid/main libextutils-autoinstall-perl 0.61-1 (tar) [26.2kB]
> Get:3 http://ftp.fr.debian.org sid/main libextutils-autoinstall-perl 0.61-1 (diff) [1586B]
> Fetched 28.5kB in 0s (76.0kB/s)
> Download complete and in download only mode
> ** Using build dependencies supplied by package:
> Build-Depends: debhelper (>= 4.0.2)
> Build-Depends-Indep: perl (>= 5.8.0-7)
> Checking for already installed source dependencies...
> debhelper: missing
> perl: already installed (5.8.8-6.1 >= 5.8.0-7 is satisfied)
> Checking for source dependency conflicts...
>   /usr/bin/sudo /usr/bin/apt-get --purge $CHROOT_OPTIONS -q -y install debhelper
> Reading package lists...
> Building dependency tree...
> The following extra packages will be installed:
>   file gettext gettext-base html2text intltool-debian libmagic1 po-debconf
> Suggested packages:
>   dh-make cvs gettext-doc
> Recommended packages:
>   curl wget lynx libmail-sendmail-perl libcompress-zlib-perl
> The following NEW packages will be installed:
>   debhelper file gettext gettext-base html2text intltool-debian libmagic1
>   po-debconf
> 0 upgraded, 8 newly installed, 0 to remove and 0 not upgraded.
> Need to get 0B/3142kB of archives.
> After unpacking 9896kB of additional disk space will be used.
> Selecting previously deselected package gettext-base.
> (Reading database ... 9958 files and directories currently installed.)
> Unpacking gettext-base (from .../gettext-base_0.15-2_i386.deb) ...
> Selecting previously deselected package libmagic1.
> Unpacking libmagic1 (from .../libmagic1_4.17-4_i386.deb) ...
> Selecting previously deselected package file.
> Unpacking file (from .../archives/file_4.17-4_i386.deb) ...
> Selecting previously deselected package html2text.
> Unpacking html2text (from .../html2text_1.3.2a-3_i386.deb) ...
> Selecting previously deselected package gettext.
> Unpacking gettext (from .../gettext_0.15-2_i386.deb) ...
> Selecting previously deselected package intltool-debian.
> Unpacking intltool-debian (from .../intltool-debian_0.35.0+20060710.1_all.deb) ...
> Selecting previously deselected package po-debconf.
> Unpacking po-debconf (from .../po-debconf_1.0.7_all.deb) ...
> Selecting previously deselected package debhelper.
> Unpacking debhelper (from .../debhelper_5.0.40_all.deb) ...
> Setting up gettext-base (0.15-2) ...
> 
> Setting up libmagic1 (4.17-4) ...
> 
> Setting up file (4.17-4) ...
> Setting up html2text (1.3.2a-3) ...
> 
> Setting up gettext (0.15-2) ...
> 
> Setting up intltool-debian (0.35.0+20060710.1) ...
> Setting up po-debconf (1.0.7) ...
> Setting up debhelper (5.0.40) ...
> Checking correctness of source dependencies...
> Toolchain package versions: libc6-dev_2.3.6.ds1-7 linux-kernel-headers_2.6.18-6 gcc-4.1_4.1.1-17 g++-4.1_4.1.1-17 binutils_2.17-3 libstdc++6-4.1-dev_4.1.1-17 libstdc++6_4.1.1-17
> ------------------------------------------------------------------------------
> gpg: Signature made Thu Apr 21 22:09:07 2005 CEST using DSA key ID 7F4E0E11
> gpg: Can't check signature: public key not found
> dpkg-source: extracting libextutils-autoinstall-perl in libextutils-autoinstall-perl-0.61
> dpkg-source: unpacking libextutils-autoinstall-perl_0.61.orig.tar.gz
> dpkg-source: applying /home/buildd/build/libextutils-autoinstall-perl_0.61-1.diff.gz
> dpkg-buildpackage: source package is libextutils-autoinstall-perl
> dpkg-buildpackage: source version is 0.61-1
> dpkg-buildpackage: host architecture i386
> dpkg-buildpackage: source version without epoch 0.61-1
>  /usr/bin/fakeroot debian/rules clean
> dh_testdir
> dh_testroot
> rm -f build-stamp
> /usr/bin/make distclean
> make[1]: Entering directory `/build/buildd/libextutils-autoinstall-perl-0.61'
> make[1]: *** No rule to make target `distclean'.  Stop.
> make[1]: Leaving directory `/build/buildd/libextutils-autoinstall-perl-0.61'
> make: [clean] Error 2 (ignored)
> dh_clean
>  debian/rules build
> dh_testdir
> /usr/bin/perl Makefile.PL INSTALLDIRS=vendor
> *** ExtUtils::AutoInstall version 0.61
> *** Checking for dependencies...
> [Core Features]
> - Cwd                 ...loaded. (3.12)
> - Carp                ...loaded. (1.04)
> - ExtUtils::Manifest  ...loaded. (1.46)
> - ExtUtils::MakeMaker ...loaded. (6.30_01)
> [CPANPLUS Support]
> - CPANPLUS            ...missing. (would need 0.043)
> ==> Auto-install the 1 optional module(s) from CPAN? [y/N] n
> [Nondecimal version number support]
> - Sort::Versions      ...missing. (would need 1.2)
> ==> Auto-install the 1 optional module(s) from CPAN? [y/N] n
> *** ExtUtils::AutoInstall configuration finished.
> Checking if your kit is complete...
> Looks good
> Writing Makefile for ExtUtils::AutoInstall
> /usr/bin/make
> make[1]: Entering directory `/build/buildd/libextutils-autoinstall-perl-0.61'
> cp lib/ExtUtils/AutoInstall.pm blib/lib/ExtUtils/AutoInstall.pm
> Manifying blib/man3/ExtUtils::AutoInstall.3pm
> make[1]: Leaving directory `/build/buildd/libextutils-autoinstall-perl-0.61'
> /usr/bin/make test
> make[1]: Entering directory `/build/buildd/libextutils-autoinstall-perl-0.61'
> PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'inc', 'blib/lib', 'blib/arch')" t/0-signature.t t/1-basic.t
> t/0-signature....ok
>         1/1 skipped: Next time around, consider install Module::Signature, # so you can verify the integrity of this distribution.
> t/1-basic........# Test 6 got: <UNDEF> (t/1-basic.t at line 39)
> #   Expected: "mkdir /nonexistent: Permission denied at /usr/share/perl/5.8/CPAN.pm line 1257\nBEGIN failed--compilation aborted at (eval 9) line 22.\n"
> #  t/1-basic.t line 39 is: ok(eval <<'.', $@);
> Could not open 'Hacker.pm': No such file or directory at /usr/share/perl/5.8/ExtUtils/MM_Unix.pm line 2626.
> dubious
> 	Test returned status 2 (wstat 512, 0x200)
> DIED. FAILED test 6
> 	Failed 1/6 tests, 83.33% okay
> Failed Test Stat Wstat Total Fail  Failed  List of Failed
> -------------------------------------------------------------------------------
> t/1-basic.t    2   512     6    1  16.67%  6
> 1 subtest skipped.
> Failed 1/2 test scripts, 50.00% okay. 1/7 subtests failed, 85.71% okay.
> make[1]: *** [test_dynamic] Error 2
> make[1]: Leaving directory `/build/buildd/libextutils-autoinstall-perl-0.61'
> make: *** [build-stamp] Error 2
> ******************************************************************************
> Build finished at 20061028-0011
> FAILED [dpkg-buildpackage died]
> Purging chroot-unstable/build/buildd/libextutils-autoinstall-perl-0.61
> ------------------------------------------------------------------------------
>   /usr/bin/sudo dpkg --root=/home/buildd/build/chroot-unstable --purge po-debconf intltool-debian libmagic1 gettext file html2text gettext-base debhelper
> (Reading database ... 10591 files and directories currently installed.)
> Removing debhelper ...
> Removing po-debconf ...
> Removing intltool-debian ...
> Removing gettext ...
> Removing file ...
> Purging configuration files for file ...
> Removing html2text ...
> Purging configuration files for html2text ...
> Removing gettext-base ...
> Removing libmagic1 ...
> Purging configuration files for libmagic1 ...
> ******************************************************************************
> Finished at 20061028-0011
> Build needed 00:00:08, 320k disk space

-- 
Julien Danjou
.''`.  Debian Developer
: :' : http://julien.danjou.info
`. `'  http://people.debian.org/~acid
  `-   9A0D 5FD9 EB42 22F6 8974  C95C A462 B51E C2FE E5CD
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Bastian Blank <waldi@debian.org>:
Bug#395857; Package libextutils-autoinstall-perl. Full text and rfc822 format available.

Acknowledgement sent to Mohammed Adnène Trojette <adn+deb@diwi.org>:
Extra info received and forwarded to list. Copy sent to Bastian Blank <waldi@debian.org>. Full text and rfc822 format available.

Message #10 received at 395857@bugs.debian.org (full text, mbox):

From: Mohammed Adnène Trojette <adn+deb@diwi.org>
To: Julien Danjou <acid@debian.org>
Cc: 395857@bugs.debian.org
Subject: Re: libextutils-autoinstall-perl: FTBFS: test fails
Date: Fri, 10 Nov 2006 03:35:37 +0100
On Sat, Oct 28, 2006, Julien Danjou wrote:
> Package: libextutils-autoinstall-perl
> Version: 0.61-1
> Severity: serious
> 
> Hello,
> 
> There was a problem while autobuilding your package:
> 
> > Automatic build of libextutils-autoinstall-perl_0.61-1 on avidan by sbuild/i386 98
> > Build started at 20061028-0010

It builds fine here. (don't take other mails sent here into account by my new nmudiff).

Please Julien, could you try building the package again?

-- 
adn
Mohammed Adnène Trojette



Information forwarded to debian-bugs-dist@lists.debian.org, Bastian Blank <waldi@debian.org>:
Bug#395857; Package libextutils-autoinstall-perl. Full text and rfc822 format available.

Acknowledgement sent to Julien Danjou <acid@debian.org>:
Extra info received and forwarded to list. Copy sent to Bastian Blank <waldi@debian.org>. Full text and rfc822 format available.

Message #15 received at 395857@bugs.debian.org (full text, mbox):

From: Julien Danjou <acid@debian.org>
To: Mohammed Adnène Trojette <adn+deb@diwi.org>
Cc: 395857@bugs.debian.org
Subject: Re: libextutils-autoinstall-perl: FTBFS: test fails
Date: Fri, 10 Nov 2006 08:00:29 +0100
[Message part 1 (text/plain, inline)]
On Fri, Nov 10, 2006 at 03:35:37AM +0100, Mohammed Adnene Trojette wrote:
> > > Automatic build of libextutils-autoinstall-perl_0.61-1 on avidan by sbuild/i386 98
> > > Build started at 20061028-0010
> 
> It builds fine here. (don't take other mails sent here into account by my new nmudiff).
> 
> Please Julien, could you try building the package again?

Yes, but I don't think it'll help.
I mean, it seems that it only fails if HOME is nonexistent, and it tries
to create it.

> #   Expected: "mkdir /nonexistent: Permission denied at
> /usr/share/perl/5.8/CPAN.pm line 1257\nBEGIN failed--compilation
> aborted at (eval 9) line 22.\n"

But this behaviour is bad. It should not get out of its build tree. 

If you want to quickly fix that, just disable the test during the build
step.

Cheers,
-- 
Julien Danjou
.''`.  Debian Developer
: :' : http://julien.danjou.info
`. `'  http://people.debian.org/~acid
  `-   9A0D 5FD9 EB42 22F6 8974  C95C A462 B51E C2FE E5CD
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Bastian Blank <waldi@debian.org>:
Bug#395857; Package libextutils-autoinstall-perl. Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Bastian Blank <waldi@debian.org>. Full text and rfc822 format available.

Message #20 received at 395857@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: 395857@bugs.debian.org, 382843@bugs.debian.org
Subject: NMU patch to fix these bugs
Date: Sat, 11 Nov 2006 13:36:37 +0000
[Message part 1 (text/plain, inline)]
I've just uploaded this from the BSP in Helsinki to close these bugs.

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
"We're the technical experts.  We were hired so that management could
 ignore our recommendations and tell us how to do our jobs."  -- Mike Andrews
[libextutils-autoinstall-perl_nmu.diff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Steve McIntyre <93sam@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Julien Danjou <acid@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #25 received at 395857-close@bugs.debian.org (full text, mbox):

From: Steve McIntyre <93sam@debian.org>
To: 395857-close@bugs.debian.org
Subject: Bug#395857: fixed in libextutils-autoinstall-perl 0.61-1.1
Date: Sat, 11 Nov 2006 06:02:30 -0800
Source: libextutils-autoinstall-perl
Source-Version: 0.61-1.1

We believe that the bug you reported is fixed in the latest version of
libextutils-autoinstall-perl, which is due to be installed in the Debian FTP archive:

libextutils-autoinstall-perl_0.61-1.1.diff.gz
  to pool/main/libe/libextutils-autoinstall-perl/libextutils-autoinstall-perl_0.61-1.1.diff.gz
libextutils-autoinstall-perl_0.61-1.1.dsc
  to pool/main/libe/libextutils-autoinstall-perl/libextutils-autoinstall-perl_0.61-1.1.dsc
libextutils-autoinstall-perl_0.61-1.1_all.deb
  to pool/main/libe/libextutils-autoinstall-perl/libextutils-autoinstall-perl_0.61-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 395857@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve McIntyre <93sam@debian.org> (supplier of updated libextutils-autoinstall-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 11 Nov 2006 14:53:32 +0200
Source: libextutils-autoinstall-perl
Binary: libextutils-autoinstall-perl
Architecture: source all
Version: 0.61-1.1
Distribution: unstable
Urgency: medium
Maintainer: Bastian Blank <waldi@debian.org>
Changed-By: Steve McIntyre <93sam@debian.org>
Description: 
 libextutils-autoinstall-perl - Automatic install of dependencies via CPAN
Closes: 382843 395857
Changes: 
 libextutils-autoinstall-perl (0.61-1.1) unstable; urgency=medium
 .
   * NMU from the Helsinki BSP
   * Medium urgency for RC bugfix
   * Force the build-time test to stay inside the build tree. Closes: #395857
   * Give a more useful error message when permissions are insufficient.
     Closes: #382843. Thanks to Ingo Wichmann for the patch.
Files: 
 84bb4a423e8e32e551b386af70d02d70 683 perl optional libextutils-autoinstall-perl_0.61-1.1.dsc
 3b6d9e167fffee6122f359a021023d18 1974 perl optional libextutils-autoinstall-perl_0.61-1.1.diff.gz
 5897eaa1860c765f7dc45f0def4be819 25252 perl optional libextutils-autoinstall-perl_0.61-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFFVdIAfDt5cIjHwfcRAi/iAJ0RbyCFNgCEls1nINmBwDA/7jtfZgCeKUTU
RufdAKqNQddfuxgzGsvU/cU=
=4mF3
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 00:35:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:39:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.